<%--
  - Author(s)  : Hyung min Son
  - Date       : 2014.07.02
  - Description: 현설의뢰 리스트
  --%>
  
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.ui.InitCombo" %>
<%@ page import="kr.co.udapsoft.common.code.CommCodeManager" %>
<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    

	//공통코드
	CommCodeManager commCodeManager = new CommCodeManager();
	InitCombo initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("BID_SUPP_SITEPARTI"), "NAME", "CODE");
	String BID_SUPP_SITEPARTI_CD = initCombo.getCode();
	String BID_SUPP_SITEPARTI_NM = initCombo.getCodeName();
	
	initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("BID_STATUS_CD"), "NAME", "CODE");
	String BID_STATUS_CD = initCombo.getCode();
	String BID_STATUS_NM = initCombo.getCodeName();
	
	initCombo = new InitCombo();

	initCombo.makeComboData(commCodeManager.getCodeRowSet("JOB_DIV","1","1"), "DETAILSORTNM", "CHG_CODE01");
	String JOB_DIV_CD = initCombo.getCode();
	String JOB_DIV_NM = initCombo.getCodeName();
    
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1 = new ibsheetObject();
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){
		/**
		 *	IBSheet object initialize
		 */
		gridInit(sheet1);
		autoResize();
		
		/**
		 *	Application Initialize
		 */
		jQuery("#btnSearch").click(function() {
			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/portal/bid/SiteExplanList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, "");
		});
		
		$("#P_BID_MASTER_NM").keydown(function (event){
			var keycode = (event.keyCode ? event.keyCode : event.which);
			if(keycode == 13){
				$("#btnSearch").click();
			}
		});
		
		//$("#P_STATUS").change(function(){$("#btnSearch").click();});
		$("#btnSearch").click();
		$("#dataClear").click(function(){$("#SITEDESC_FROM_DT").val("");$("#SITEDESC_TO_DT").val("");});
	}
	
	/**
	 *	IBSheet object initialize
	 */
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		       			{Header:'Del',					Type:"DelCheck",		SaveName:"DEL_CHECK", 					Width:50, 			Align:"Center",	Hidden:"True"},
		    			{Header:'Status',				Type:"Status", 		SaveName:"STATUS", 						Width:0, 			Align:"Center",	Hidden:"True"},
		    			{Header:'No.',					Type:"Seq", 			SaveName:"NO",								Width:0, 			Align:"Center",	Hidden:"True"},
		    			{Header:'구분',					Type:"Combo", 		SaveName:"DEMANDED_KIND",			Width:0, 			Align:"Center",	ComboText:"<%=JOB_DIV_NM%>", ComboCode:"<%=JOB_DIV_CD%>"},
		    			{Header:'입찰번호',				Type:"Text", 			SaveName:"BID_NO", 						Width:120, 			Align:"Center"},
		    			{Header:'차수',					Type:"Text", 			SaveName:"BID_DEG", 						Width:30, 			Align:"Center"},
		    			{Header:'☞입찰공고명',			Type:"Text", 			SaveName:"BID_MASTER_NM", 			Width:300, 			Align:"Left",		Cursor:"pointer"},
		    			{Header:'견적설명회일시',  		Type:"Text",	 		SaveName:"SITEDESCDATE", 				Width:60, 			Align:"Center"},
		    			{Header:'견적제출마감일시',		Type:"Text", 			SaveName:"BID_TO_DT", 					Width:60, 			Align:"Center"},
		    			{Header:'참석여부',				Type:"Combo", 		SaveName:"SITEPARTI_YN", 				Width:0, 			Align:"Center",	ComboText:"<%=BID_SUPP_SITEPARTI_NM%>", ComboCode:"<%=BID_SUPP_SITEPARTI_CD%>"},
		    			{Header:'상태',					Type:"Combo", 		SaveName:"STATUS_CD", 					Width:50, 			Align:"Center",	ComboText:"<%=BID_STATUS_NM%>", ComboCode:"<%=BID_STATUS_CD%>"},
		    			{Header:'DEMANDED_ID',	Type:"Text", 			SaveName:"DEMANDED_ID", 				Width:100, 			Align:"Center",	Hidden:"True"}
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		  // text 또는 code값으로 Action수행
		switch(Text) {
	         case "ExcelDown":
	        	sheetExcelDown(sheet1,$('li').html());
	            break; 
		}
	}

	/**
	 *	IBSheet Event: Search End(IBSheet 데이터 조회 CallBack)
	 */
	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("BID_MASTER_NM", "#0000ff");
	    	autoResize();
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	/**
	 *	IBSheet Event: Click
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
		 if(Row == 0)return;
		 if (Col == 6) {
				$("#BID_NO").val(sheet1.GetCellValue(Row, "BID_NO"));
				$("#BID_DEG").val(sheet1.GetCellValue(Row, "BID_DEG"));
				$("#DEMANDED_ID").val(sheet1.GetCellValue(Row, "DEMANDED_ID"));
				$("#fevent").val("FORM_SELECT");
				if(sheet1.GetCellValue(Row,"DEMANDED_KIND") == "O"){
					$("#form1").attr("action", "/portal/bid/SiteExplan.screen");
				}else{
					$("#form1").attr("action", "/portal/bid/SiteExplanPurchase.screen");
				}
				$("#form1").attr("target", "_self");
				$("#form1").attr("method", "post");
				$("#form1").submit();
		}
	}
	
	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
		
	}

	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;
		var iframeWidth= document.body.scrollWidth;   
		sheet1.SetSheetHeight(iframeHeight);
	}	
	window.onresize = function(){autoResize();}
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">

<div align="left" id="title" >
    <ul><li>입찰공고</li></ul>
</div>

<INPUT type="hidden" name="p_user_sabun" value="">
<INPUT type="hidden" name="fevent" id="fevent" value="">
<INPUT type="hidden" name="BID_NO" value="">
<INPUT type="hidden" name="BID_DEG" value="">
<INPUT type="hidden" name="P_DEMANDED_KIND" value="O">
<INPUT type="hidden" name="p_tel_no" value="">
<INPUT type="hidden" name="p_hand_tel_no" value="">
<INPUT type="hidden" name="VENDOR_CD" value="<%=user.get("CORP_ID")%>">
<INPUT type="hidden" name="p_user_name" value="">
<INPUT type="hidden" name="DEMANDED_ID" value="">
<INPUT type="hidden" name="j_usertype" value="head">
<input type='hidden' name='login_id' >
<input type='hidden' name='login_pw' >
<INPUT type="hidden" name="j_admin_login_gb" value="Y">


<!-- 검색조건 영역 : 시작 -->
<table id="search-table" class="search-form-table" >
	<colgroup>
		<col width="150" />
		<col width="250" />
		<col width="150" />
		<col width="*" />
		<col width="250" />
	</colgroup>
	<tr>
		<th>입찰공고명</th>
		<td >
	   		<%= InputText.get("P_BID_MASTER_NM", "", 80, 50, "hangule, desc=입찰공고명, PerSize") %>
		</td>
		<th>견적설명회 일자</th>
		<td>
			<%= InputText.get("SITEDESC_FROM_DT", "", 8, 50, "hangule,center, desc=견적설명일자,ReadOnly") %>
			<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('SITEDESC_FROM_DT');">
						~
			<%= InputText.get("SITEDESC_TO_DT", "", 8, 50, "hangule,center, desc=견적설명일자,ReadOnly") %>
			<IMG name="start_img" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('SITEDESC_TO_DT');">
			<IMG name="dataClear" id="dataClear" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
		</td>
		<td class="button" rowspan="2">
			<span class="btnSearch center" id="btnSearch"><a href="javascript:void(0);">검색</a></span>
		</td>
	</tr>
	<tr>
		<th>상태</th>
		<td colspan="3">
		     <SELECT class='input_select' id='P_STATUS' name='P_STATUS' style="width:120px;">
				<!-- <option value=''>--전체--</option><OPTION value='03' selected>현설의뢰</OPTION><OPTION value='04'>현설완료</OPTION> -->
				<option value=''>--전체--</option><OPTION value='03' selected>견적설명회 대상</OPTION><OPTION value='04'>입찰진행중</OPTION>
			</SELECT>     
		</td>
	</tr>
</table>

<div id="sheet1_div" style="padding-top:5px;height: auto; min-height: 200px; overflow: auto;">
	<script>createIBSheet('sheet1','100%', '300px');</script>
</div>

</FORM>